import poser
import sys
sys.path = sys.path + ['c:\\greg\\Poser\\py']
import os

outdir = 'c:\\greg\\hand\\renderedShapes\\stimuli\\grasp\\female\\';

template = 'leftGraspTransB%+4.2f';

nFrames = 80.0;

rangeBend = [33.0, -45.0];
stepBend = (rangeBend[1]-rangeBend[0])/nFrames;

scene = poser.Scene();
fig = scene.CurrentFigure()

bendHand = rangeBend[0];
n=0;

def phalangs(fig,name):
    return [
        fig.Actor(name + '1'),
        fig.Actor(name + '2'),
        fig.Actor(name + '3')]

# set hand in "starting" pose
for f in ['Index','Mid','Ring','Pinky']:
    ph = phalangs(fig,'l'+f);
    map(lambda x,y: x.SetParameter('Bend',y), ph,3*[10.0]);
    
fig.Actor('lThumb2').SetParameter('Bend',0);
fig.Actor('lThumb3').SetParameter('Bend',0);

while  n < nFrames:
    fig.Actor('Left Hand').SetParameter('Bend',bendHand);

    scene.Render()
    iname = template % (bendHand)
    scene.SaveImage("jpg",outdir+iname+'.jpg')

    bendHand = bendHand + stepBend;
    n = n + 1;


